Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.util
Class TokenHelper

    java.lang.Object
      org.apache.struts2.util.TokenHelper

    public class TokenHelper

extends Object

TokenHelper

Field Summary
`static String` | `DEFAULT_TOKEN_NAME` The default name to map the token value
`private static Log` | `LOG`
`private static Random` | `RANDOM`
`static String` | `TOKEN_NAME_FIELD` The name of the field which will hold the token name

Constructor Summary
`TokenHelper()`

Method Summary
`static String` | `generateGUID()`
`static String` | `getToken()` Gets a transaction token into the session using the default token name.
`static String` | `getToken(String tokenName)` Gets the Token value from the params in the ServletActionContext using the given name
`static String` | `getTokenName()` Gets the token name from the Parameters in the ServletActionContext
`static String` | `setToken()` Sets a transaction token into the session using the default token name.
`static String` | `setToken(String tokenName)` Sets a transaction token into the session using the provided token name.
`static boolean` | `validToken()` Checks for a valid transaction token in the current request params.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TOKEN_NAME

    public static final String DEFAULT_TOKEN_NAME

  The default name to map the token value

  See Also:
    Constant Field Values

### TOKEN_NAME_FIELD

    public static final String TOKEN_NAME_FIELD

  The name of the field which will hold the token name

  See Also:
    Constant Field Values

### LOG

    private static final Log LOG

### RANDOM

    private static final Random RANDOM

Constructor Detail

### TokenHelper

    public TokenHelper()

Method Detail

### setToken

    public static String setToken()

  Sets a transaction token into the session using the default token name.

  Returns:
    the token string

### setToken

    public static String setToken(String tokenName)

  Sets a transaction token into the session using the provided token name.

  Parameters:
    `tokenName` - the name to store into the session with the token as the value
  Returns:
    the token string

### getToken

    public static String getToken()

  Gets a transaction token into the session using the default token name.

  Returns:
    token

### getToken

    public static String getToken(String tokenName)

  Gets the Token value from the params in the ServletActionContext using the given name

  Parameters:
    `tokenName` - the name of the parameter which holds the token value
  Returns:
    the token String or null, if the token could not be found

### getTokenName

    public static String getTokenName()

  Gets the token name from the Parameters in the ServletActionContext

  Returns:
    the token name found in the params, or null if it could not be found

### validToken

    public static boolean validToken()

  Checks for a valid transaction token in the current request params. If a valid token is found, it is removed so the it is not valid again.

  Returns:
    false if there was no token set into the params (check by looking for `TOKEN_NAME_FIELD`), true if a valid token is found

### generateGUID

    public static String generateGUID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.